Bug 1026421 - SELinux is preventing /usr/bin/composite from 'create' accesses on the file magick65rQ9a.
SELinux is preventing /usr/bin/composite from 'create' accesses on the file m...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: imagefactory (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lalancette
Fedora Extras Quality Assurance
abrt_hash:22522176ff5850bd2d1df897356...
:
: 1074190 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 10:38 EST by Niki Guldbrand
Modified: 2015-06-29 08:48 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:48:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niki Guldbrand 2013-11-04 10:38:41 EST
Description of problem:
SELinux is preventing /usr/bin/composite from 'create' accesses on the file magick65rQ9a.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that composite should be allowed create access on the magick65rQ9a file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep composite /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:user_home_dir_t:s0
Target Objects                magick65rQ9a [ file ]
Source                        composite
Source Path                   /usr/bin/composite
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ImageMagick-6.8.6.3-3.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-90.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.6-300.fc20.x86_64 #1 SMP Fri
                              Oct 18 22:31:53 UTC 2013 x86_64 x86_64
Alert Count                   10
First Seen                    2013-11-02 22:13:03 CET
Last Seen                     2013-11-02 22:13:04 CET
Local ID                      496f3e52-b76e-4bb3-8f25-ecdca173a1c1

Raw Audit Messages
type=AVC msg=audit(1383426784.969:15470): avc:  denied  { create } for  pid=23072 comm="convert" name="magick65rQ9a" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file


type=SYSCALL msg=audit(1383426784.969:15470): arch=x86_64 syscall=open success=no exit=EACCES a0=920bf0 a1=c2 a2=180 a3=0 items=0 ppid=23038 pid=23072 auid=1236200002 uid=1236200002 gid=1236200002 euid=1236200002 suid=1236200002 fsuid=1236200002 egid=1236200002 sgid=1236200002 fsgid=1236200002 ses=6 tty=(none) comm=convert exe=/usr/bin/convert subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: composite,thumb_t,user_home_dir_t,file,create

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.6-300.fc20.x86_64
type:           libreport

Potential duplicate: bug 825874
Comment 1 Daniel Walsh 2013-11-04 12:10:24 EST
Imagic should be creating its content under ~/.local/cache
Comment 2 Daniel Demus 2014-03-09 19:41:17 EDT
Description of problem:
Running maven package from not-packaged eclipse. The build uses launch4j and nsis

Additional info:
reporter:       libreport-2.1.12
hashmarkername: setroubleshoot
kernel:         3.13.5-202.fc20.x86_64
type:           libreport
Comment 3 Miroslav Grepl 2014-03-10 05:13:11 EDT
*** Bug 1074190 has been marked as a duplicate of this bug. ***
Comment 4 "FeRD" (Frank Dana) 2014-03-30 14:55:02 EDT
This is an EXTREMELY weird bug that I've also hit with gnome-exe-thumbnailer.sh, which I've tracked down to an apparent issue with how ImageMagick's commands handle tempfile creation when pipelined. (Tempfiles used to pass image data live in /tmp/, as configured... but for some reason, the commands first attempt a spurious file creation in the $CWD. That file is then immediately deleted, without ever having been used.)

I just finished documenting the issue to the ImageMagick maintainers, in hopes that they can shed some light on why this would be occurring. You can see all the gory details of my analysis here: http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=25313

If anyone is able to provide additional info to what I've laid out there, please do!
Comment 5 "FeRD" (Frank Dana) 2014-03-30 18:41:13 EDT
An incredibly fast response from the ImageMagick team, regarding my report of this issue! (See URL above.) Their reply:

"ImageMagick is looking for entropy for its random number generator. It looks toward numerous system resources including the results of the mkstemp() method. We call it and it places the file in the current working directory. We'll move it to the temporary path to help avoid the SELINUX alerts."

So, as it stands now the root cause of the reported bug is an acknowledged issue with the ImageMagick command-line utilities, with a fix being developed upstream.

I'd suggest that this bug be adjusted to Component: ImageMagick with a commensurate summary, something like "/usr/bin/composite creates temporary files in $CWD". Or I can file a new bug, if that would be preferable?
Comment 6 "FeRD" (Frank Dana) 2014-05-25 03:53:10 EDT
Just so that the information is logged, I wanted to note that the change mentioned above (using $MAGICK_TEMP instead of $CWD for generated entropy tempfiles) landed upstream in ImageMagick 6.8.9-0, released 2014-04-11. (The most current is 6.8.9-1, released 2014-05-09.)

F20 is still on IM 6.8.6.3, and it looks like the current rawhide build is 6.8.8.10, so none of the Fedora packages yet incorporate this change. But, when we do move into the ImageMagick 6.8.9 series, the fix for this bug will be brought along.
Comment 7 Yajo 2014-07-23 15:33:38 EDT
Description of problem:
Navigating a wine prefix with Nautilus.

Additional info:
reporter:       libreport-2.2.2
hashmarkername: setroubleshoot
kernel:         3.15.5-200.fc20.x86_64
type:           libreport
Comment 8 Fedora End Of Life 2015-05-29 05:41:14 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 08:48:37 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.